FLANG

Static Public Member Functions | List of all members
Fortran::parser::UnwrapperHelper Struct Reference

## Static Public Member Functions
template<typename A , typename B >
static const A * | Unwrap (B *p)
template<typename A , typename B , bool COPY>
static const A * | Unwrap (const common::Indirection< B, COPY > &x)
template<typename A , typename... Bs>
static const A * | Unwrap (const std::variant< Bs... > &x)
template<typename A , typename B >
static const A * | Unwrap (const std::optional< B > &o)
template<typename A , typename B >
static const A * | Unwrap (B &x)

The documentation for this struct was generated from the following file:

- include/flang/Parser/tools.h